streamWrapper::dir_closedir
streamWrapper::dir_readdir
streamWrapper
PHP Manual

# streamWrapper::dir_opendir

(PHP 4 >= 4.3.2, PHP 5)

streamWrapper::dir_opendir — Open directory handle

### Description

public bool streamWrapper::dir_opendir ( string `$path` , int `$options` )

This method is called in response to opendir().

### Parameters

`path`

  Specifies the URL that was passed to opendir().

  > Note: The URL can be broken apart with parse_url().

`options`

  Whether or not to enforce safe_mode (0x04).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- opendir() - Open directory handle
- streamWrapper::dir_closedir - Close directory handle
- parse_url() - Parse a URL and return its components

streamWrapper::dir_closedir
streamWrapper::dir_readdir
streamWrapper
PHP Manual